$(document).ready(function () {
  var fx = function fx() {
  $(".stat-number").each(function (i, el) {
      var data = parseInt(this.dataset.n, 10);
      var props = {
          "from": {
              "count": 0 
          },
              "to": { 
              "count": data
          }
      };
      $(props.from).animate(props.to, {
          duration: 1000 * 1,
          step: function (now, fx) {
              $(el).text(Math.ceil(now));
          },
          complete:function() {
              if (el.dataset.sym !== undefined) {
                el.textContent = el.textContent.concat(el.dataset.sym)
              }
          }
      });
  });
  };
  
  var reset = function reset() {
      //console.log($(this).scrollTop())
      if ($(this).scrollTop() > 90) {
          $(this).off("scroll");
        fx()
      }
  };
  
  $(window).on("scroll", reset);
});
$(document).ready(function(){
  $(".circle_percent").each(function() {
    var $this = $(this),
    $dataV = $this.data("percent"),
    $dataDeg = $dataV * 3.6,
    $round = $this.find(".round_per");
  $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)"); 
  $this.append('<div class="circle_inbox"><span class="percent_text"></span></div>');
  $this.prop('Counter', 0).animate({Counter: $dataV},
  {
    duration: 2000, 
    easing: 'swing', 
    step: function (now) {
            $this.find(".percent_text").text(Math.ceil(now)+"%");
        }
    });
  if($dataV >= 51){
    $round.css("transform", "rotate(" + 360 + "deg)");
    setTimeout(function(){
      $this.addClass("percent_more");
    },1000);
    setTimeout(function(){
      $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)");
    },1000);
  } 
});
});
/*----------------------*/
$('.bioly-testimonial').owlCarousel({
  loop:true,
  margin:10,
  nav:true,
  dots:false,
  navText: ["<span class='iconify' data-icon='bi:chevron-left'></span>", "<span class='iconify' data-icon='bi:chevron-right'></span>"],
  responsive:{
      0:{
          items:1
      },
      600:{
          items:1
      },
      1000:{
          items:1
      }
  }
})


/*-------------------------*/
  $(document).on('click','#blog_one',function(){
    $("#blog_one_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });

  $(document).on('click','#blog_two',function(){
    $("#blog_two_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });

  $(document).on('click','#blog_three',function(){
    $("#blog_three_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });

  $(document).on('click','#blog_four',function(){
    $("#blog_four_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });

  $(document).on('click','#blog_five',function(){
    $("#blog_five_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });

  $(document).on('click','#blog_six',function(){
    $("#blog_six_modal").modal('show');
      //Make sure the modal and backdrop are siblings (changes the DOM)
  $(this).before($('.modal-backdrop'));
  //Make sure the z-index is higher than the backdrop
  $(this).css("z-index", parseInt($('.modal-backdrop').css('z-index')) + 1);
  });


/*-------------------------*/
$(document).ready(function(){
  $(".client-testimonial-carousel").owlCarousel({
      items:3,
      loop:true,
      margin:30,
      autoplay:true,
      dots:true,
      responsive:{
    
    0:{
  
        items:1
  
    },
  
    600:{
  
        items:1
  
    },
    767:{
       items:2
    },
    768: {
      items: 2
  },
  992: {
      items: 2
  },
  
    1000:{
  
        items:2,
  
        loop:true
  
    },
    1200:{
      items:3,  
      loop:true
    },
    1300:{
      items:3,  
      loop:true
    }
  
  },
  
  });
  });
  
/*-------------------------*/
$(document).ready(function(){
  $('.customer-logos').slick({
  slidesToShow: 6,
  slidesToScroll: 1,
  autoplay: true,
  autoplaySpeed: 1500,
  arrows: false,
  dots: false,
  pauseOnHover: false,
  responsive: [{
      breakpoint: 768,
      settings: {
          slidesToShow: 3
      }
  },
  {
    breakpoint: 992,
    settings: {
        slidesToShow: 3
    }
  },
  {
    breakpoint: 1000,
    settings: {
        slidesToShow: 5
    }
}, {
      breakpoint: 520,
      settings: {
          slidesToShow: 2
      }
  }]
  });
  });




// hero-sub-imgs-animation js


var lFollowX = 0,
        lFollowY = 0,
        x = 0,
        y = 0,
        friction = 1 / 30;

function moveBackground() {
    x += (lFollowX - x) * friction;
    y += (lFollowY - y) * friction;

    //  translate = 'translateX(' + x + 'px, ' + y + 'px)';
    translate = 'translateX(' + x + 'px) translateY(' + y +'px)';

    $('.bioly-mouse-move-animate').css({
    '-webit-transform': translate,
    '-moz-transform': translate,
    'transform': translate
    });

    window.requestAnimationFrame(moveBackground);
}

$(window).on('mousemove click', function(e) {
    
    var isHovered = $('.animate-this:hover').length > 0;
    console.log(isHovered);
    
    //if(!$(e.target).hasClass('animate-this')) {
    if(!isHovered) {
        var lMouseX = Math.max(-100, Math.min(100, $(window).width() / 2 - e.clientX)),
                lMouseY = Math.max(-100, Math.min(100, $(window).height() / 2 - e.clientY));

        lFollowX = (20 * lMouseX) / 100;
        lFollowY = (10 * lMouseY) / 100;
    }
});

moveBackground();

/* on click top scroll */

$(document).ready(function(){
    // Add smooth scrolling to all links
    $("a").on('click', function(event) {
  
      // Make sure this.hash has a value before overriding default behavior
      if (this.hash !== "") {
        // Prevent default anchor click behavior
        event.preventDefault();
  
        // Store hash
        var hash = this.hash;
  
        // Using jQuery's animate() method to add smooth page scroll
        // The optional number (800) specifies the number of milliseconds it takes to scroll to the specified area
        $('html, body').animate({
          scrollTop: $(hash).offset().top
        }, 800, function(){
     
          // Add hash (#) to URL when done scrolling (default click behavior)
          window.location.hash = hash;
        });
      } // End if
    });
  });

// on click side menu js
  $(document).ready(function(){
    $(".bioly-exp .bioly-side-menu-open").click(function(){
      $(".bioly-side-info").css({"right": "0", "transition": "1s ease-in-out"});
    });
    $(".bioly-side-info .bioly-close-btn").click(function(){
      $(".bioly-side-info").css({"right": "-100%", "transition": "1s ease-in-out"});
    });
  });
  
  
// On bioly-lightbox
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox").click(function () {
        var imgsrc = $('.bioly-lightbox').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox").click(function () {
        $(".img-popup").fadeIn(500);
    });

});
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox1").click(function () {
        var imgsrc = $('.bioly-lightbox1').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox1").click(function () {
        $(".img-popup").fadeIn(500);
    });

});
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox2").click(function () {
        var imgsrc = $('.bioly-lightbox2').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox2").click(function () {
        $(".img-popup").fadeIn(500);
    });

});
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox3").click(function () {
        var imgsrc = $('.bioly-lightbox3').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox3").click(function () {
        $(".img-popup").fadeIn(500);
    });

});
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox4").click(function () {
        var imgsrc = $('.bioly-lightbox4').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox4").click(function () {
        $(".img-popup").fadeIn(500);
    });

});
  $(document).ready(function () {
    "use strict";
    $(".bioly-lightbox5").click(function () {
        var imgsrc = $('.bioly-lightbox5').attr('src');
        $("body").append("<div class='img-popup'><span class='close-lightbox'>&times;</span><img src='" + imgsrc + "'></div>");
        $(".close-lightbox, .img-popup").click(function () {
            $(".img-popup").fadeOut(500, function () {
                $(this).remove();
            }).addClass("lightboxfadeout");
        });

    });
    $(".bioly-lightbox5").click(function () {
        $(".img-popup").fadeIn(500);
    });

});

/*---------------------------------------
            OnTop Scroll
  ----------------------------------------*/
  var btn = $('#bioly-button-scrollTop');
$(window).scroll(function() {
  if ($(window).scrollTop() > 500) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});

btn.on('click', function(e) {
  e.preventDefault();
  $('html, body').animate({scrollTop:0}, '300');
});
/*---------------------------------------
            OnTop Scroll
  ----------------------------------------*/
$(document).ready(function () {
$('#bioly-play-video').on('click', function(e){
  e.preventDefault();
  $('#bioly-video-overlay').addClass('open');
  $("#bioly-video-overlay").append('<iframe width="560" height="315" src="https://www.youtube.com/embed/ngElkyQ6Rhs" frameborder="0" allowfullscreen></iframe>');
});

$('.bioly-video-overlay, .bioly-video-overlay-close').on('click', function(e){
  e.preventDefault();
  close_video();
});

$(document).keyup(function(e){
  if(e.keyCode === 27) { close_video(); }
});

function close_video() {
  $('.bioly-video-overlay.open').removeClass('open').find('iframe').remove();
};
});


/**/
$(document).ready(function()
{
  var skills = {
    ht: 45,
    jq: 25,
    sk: 90,
    ph: 75,
    il: 90,
    in: 85,
    fl: 75
  };
  
  $.each(skills, function(key, value) {
    var skillbar = $("." + key);
  
    skillbar.animate(
      {
        width: value + "%"
      },
      3000,
      function() {
        $(".speech-bubble").fadeIn();
      }
    );
  }); 
});